Loading...
Searching...
No Matches
pcl::tracking::_ParticleXYZR Struct Reference

`#include <pcl/tracking/impl/tracking.hpp>`

Inheritance diagram for pcl::tracking::_ParticleXYZR:

## Public Attributes

union { |
struct { |
float roll |
float pitch |
float yaw |
float weight |
} |  |
float data_c [4] |
}; |  |

## Detailed Description

Definition at line 238 of file tracking.hpp.

## Member Data Documentation

## [union]

PCL_ADD_POINT4D union { ... } pcl::tracking::_ParticleXYZR

## data_c

float pcl::tracking::_ParticleXYZR::data_c[4]

Definition at line 247 of file tracking.hpp.

## pitch

float pcl::tracking::_ParticleXYZR::pitch

Definition at line 243 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), pcl::tracking::operator<<(), and pcl::tracking::ParticleXYZR::weightedAverage().

## roll

float pcl::tracking::_ParticleXYZR::roll

Definition at line 242 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), pcl::tracking::operator<<(), and pcl::tracking::ParticleXYZR::weightedAverage().

## weight

float pcl::tracking::_ParticleXYZR::weight

Definition at line 245 of file tracking.hpp.

Referenced by pcl::tracking::ParticleXYZR::weightedAverage().

## yaw

float pcl::tracking::_ParticleXYZR::yaw

Definition at line 244 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), pcl::tracking::operator<<(), and pcl::tracking::ParticleXYZR::weightedAverage().

The documentation for this struct was generated from the following file:

- pcl/tracking/impl/tracking.hpp